﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MultiWii;

namespace MWLinkSample
{
    public partial class TestForm : Form
    {
        public MultiWiiLink link = new MultiWiiLink();

        public TestForm()
        {
            InitializeComponent();
            link.Port = "COM107";
            link.PollMode = true;
            link.Connect();
            updatetimer.Enabled = true;
            AltHoldTuningDialog tuning = new AltHoldTuningDialog();
            tuning.Show();
            tuning.PositionControlOutput = 75;
            tuning.VelocityControlOutput = -25;
            tuning.ThrottleOutput = 1500;
        }

        private void updatetimer_Tick(object sender, EventArgs e)
        {
            if (false)
            {
                var values = link.ReadArray();
                if (values != null)
                {
                    timestamp.Text = values[0].ToString("0.0");
                    Roll.Text = values[1].ToString("0.0");
                    Pitch.Text = values[2].ToString("0.0");
                    AccZ.Text = values[3].ToString("0.0");
                    VerticalAcc.Text = values[10].ToString("0.0");
                    Baro.Text = values[11].ToString("0.0");
                }
            }
            else
            {
                var t = link.ReadDirect(3);
                if (t != null && t.Length == 3)
                {
                    VerticalAcc.Text = t[0].ToString("0.0");
                    Baro.Text = t[1].ToString("0.0");
                    throttle.Text = t[2].ToString("0.0");
                }
            }
        }

        private void TestForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            link.Disconnect();
        }
    }
}
